<?php
session_start();
require_once 'functions.php'; // Include your functions file

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "You must be logged in to add a category.";
    exit();
}

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $username = $_POST['username'];
    $desc = $_POST['desc'];
    $selectCat = $_POST['select_cat'];
    $selectChildCat = $_POST['select_child_cat'];

    // Handle file upload
    if (isset($_FILES['cat_image_name']) && $_FILES['cat_image_name']['error'] === UPLOAD_ERR_OK) {
        $catImage = $_FILES['cat_image_name'];
        $targetDir = "uploads/";
        $targetFile = $targetDir . basename($catImage['name']);

        
        if (move_uploaded_file($catImage['tmp_name'], $targetFile)) {
           
            if (addCategory($username, $desc, $selectCat, $selectChildCat, $targetFile)) {
                echo 1; 
            } else {
                echo "Failed to add category to the database.";
            }
        } else {
            echo "Failed to upload image.";
        }
    } else {
        echo "No image uploaded or there was an upload error.";
    }
} else {
    echo "Invalid request method.";
}
?>
