<?php
session_start();
require_once 'functions.php'; // Include your functions file

// Include database connection
include '../auth/db.php'; // Ensure this path is correct based on your directory structure

// Check if the user is logged in
if (!isset($_SESSION['user_id'])) {
    echo "You must be logged in to add a category.";
    exit();
}

// Fetch all books from the books table
$sql = "SELECT id, book_name, parent_category, child_category, file_path FROM books";
$result = mysqli_query($conn, $sql);

$books = [];

if ($result && mysqli_num_rows($result) > 0) {
    while ($row = mysqli_fetch_assoc($result)) {
        $books[] = $row;
    }
}

// Return JSON response
header('Content-Type: application/json');
echo json_encode($books);


?>