<?php
session_start();
require_once 'functions.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $email = $_POST['email'] ?? '';
    $password = $_POST['password'] ?? '';

    // Validate input
    if (empty($email) || empty($password)) {
        echo "Email and Password are required.";
        exit;
    }

    // Call the login function
    $userId = loginUser($email, $password);
    if ($userId) {
        $_SESSION['user_id'] = $userId; 
   
        echo 1; // Success
    } else {
        echo "Invalid email or password."; // Error message
    }
}
?>
