<?php
session_start();
if (!isset($_SESSION['user_id'])) {
    header('Location: login.php');
}
include 'layouts/header.php';

?>

<main class="main px-lg-6">

    <!-- Content -->
    <div class="container-lg">

        <div class="row align-items-center mb-7">
            <div class="col-auto">
                <!-- Avatar -->
                <div class="avatar avatar-xl rounded text-primary">
                    <svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" class="fs-2 duo-icon duo-icon-credit-card" data-duoicon="credit-card">
                        <path fill="currentColor" d="M22 10v7a3 3 0 0 1-3 3H5a3 3 0 0 1-3-3v-7h20Z" class="duoicon-secondary-layer" opacity=".3"></path>
                        <path fill="currentColor" d="M19 4a3 3 0 0 1 3 3v1H2V7a3 3 0 0 1 3-3h14Zm-1 10h-3a1 1 0 1 0 0 2h3a1 1 0 1 0 0-2Z" class="duoicon-primary-layer"></path>
                    </svg>
                </div>
            </div>
            <div class="col">
                <!-- Breadcrumb -->
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb mb-2">
                        <li class="breadcrumb-item"><a class="text-body-secondary" href="#">Books</a></li>
                        <li class="breadcrumb-item active" aria-current="page">Books</li>
                    </ol>
                </nav>

                <!-- Heading -->
                <h1 class="fs-4 mb-0">Books</h1>
            </div>

        </div>

        <!-- Page content -->
        <div class="row">
            <div class="col">
            <div class="table-responsive mb-7">
              <table class="table align-middle mb-0">
                <thead>
                  <tr><th style="width: 0px">
                    <div class="form-check">
                      <input class="form-check-input" type="checkbox" id="tableCheckAll">
                      <label class="form-check-label" for="tableCheckAll"></label>
                    </div>
                  </th>
                  <th>ID</th>
                  <th>Name</th>
                  <th>Parent Category</th>
                  <th>Child Category</th>
                  <th>PDF</th>
                </tr></thead>
                <tbody>
                  <tr>
                    <td style="width: 0px">
                      <div class="form-check">
                        <input class="form-check-input" type="checkbox" id="tableCheckOne">
                        <label class="form-check-label" for="tableCheckOne"></label>
                      </div>
                    </td>
                    <td class="text-body-secondary">#3456</td>
                    <td>Apple MacBook Pro</td>
                    <td>2021-08-12</td>
                    <td><span class="badge bg-success-subtle text-success">Completed</span></td>
                    <td>$2,499</td>
                  </tr>
                 
                </tbody>
              </table>
            </div>

            </div>
        </div>
    </div>
</main>


<?php include 'layouts/footer.php' ?>